LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   i hate compiling (http://www.linuxquestions.org/questions/linux-software-2/i-hate-compiling-474739/)

fakie_flip 08-17-2006 08:15 AM

i hate compiling
 
What's wrong? What do I need? I just installed the build-essential package in Ubuntu.

Code:

ubuntu@ubuntu:~/Desktop/avidemux-2.1.2$ make -f Makefile.dist
This Makefile is only for the CVS repository
This will be deleted before making the distribution

*** auto-tools version check disabled **
*** Creating acinclude.m4
*** Creating list of subdirectories
*** Creating configure.in
*** Creating aclocal.m4
./admin/cvs.sh: line 61: aclocal: command not found
make[1]: *** [cvs] Error 1
make: *** [all] Error 2
ubuntu@ubuntu:~/Desktop/avidemux-2.1.2$ apt-cache search aclocal
ubuntu@ubuntu:~/Desktop/avidemux-2.1.2$


perfect_circle 08-17-2006 08:26 AM

You need aclocal I guess
It's in the automake package (at least In my slackware)

fakie_flip 08-17-2006 08:39 AM

Automake is what I need. Thanks. Now I have a different unknown problem.

Code:

ubuntu@ubuntu:~/Desktop/avidemux-2.1.2$ ls
acinclude.m4  avidemux_icon.png    configure.in      Makefile.am
aclocal.log  avidemux.spec        configure.in.in  Makefile.dist
aclocal.m4    ChangeLog            COPYING          Makefile.in
addons        config.h.in          Doxyfile          po
admin        configure            gtk2_build.glade  README
adm_lavcodec  configure.darwin      History          stamp-h.in
AUTHORS      configure.darwinport  INSTALL          subdirs
avidemux      configure.files      m4                TODO
ubuntu@ubuntu:~/Desktop/avidemux-2.1.2$ make -f Makefile.dist This Makefile is only for the CVS repository
This will be deleted before making the distribution

*** auto-tools version check disabled **
*** Creating acinclude.m4
*** Creating list of subdirectories
*** Creating configure.in
*** Creating aclocal.m4
*** Creating configure
** perling **
*** Creating config.h template
*** Creating Makefile templates
Makefile.am:10: AM_GNU_GETTEXT in `configure.in' but `intl' not in SUBDIRS
automake: Makefile.am: AM_GNU_GETTEXT in `configure.in' but `ALL_LINGUAS' not defined
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/cputest.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/mpegvideo_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/vp3dsp_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/dsputil_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/idct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/fdct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/motion_est_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/simple_idct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/fft_sse.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/vp3dsp_sse2.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/fft_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/gmc_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/idct_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/fdct_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_h264_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/fft_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/gmc_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/idct_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/fdct_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_h264_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/cputest.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/mpegvideo_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/vp3dsp_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/dsputil_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/idct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/fdct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/motion_est_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/simple_idct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/fft_sse.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/vp3dsp_sse2.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/fft_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/gmc_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/idct_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/fdct_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_h264_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/cputest.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/mpegvideo_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/vp3dsp_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/dsputil_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/idct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/fdct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/motion_est_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/simple_idct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/fft_sse.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/vp3dsp_sse2.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_ppc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/fft_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/gmc_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/idct_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/fdct_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/dsputil_h264_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `ppc/mpegvideo_altivec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/cputest.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/mpegvideo_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/vp3dsp_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/dsputil_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/idct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/fdct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/motion_est_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/simple_idct_mmx.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/fft_sse.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `i386/vp3dsp_sse2.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_dec.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/interf_enc.c' is in subdirectory
automake: adm_lavcodec/Makefile.am: not supported: source file `amr_float/sp_enc.c' is in subdirectory
make[1]: *** [cvs] Error 1
make: *** [all] Error 2
ubuntu@ubuntu:~/Desktop/avidemux-2.1.2$


tredegar 08-17-2006 09:27 AM

Is there a particular reason you are compiling from source? Especially when you "hate compiling".
Why don't you just use the Adept package manager to install avidemux, or even
sudo apt-get install avidemux

fakie_flip 08-17-2006 09:29 AM

Quote:

Originally Posted by tredegar
Is there a particular reason you are compiling from source? Especially when you "hate compiling".
Why don't you just use the Adept package manager to install avidemux, or even
sudo apt-get install avidemux

The Adept package manager is the default in Kubuntu. I am using Ubuntu. The front end to apt-get is Synaptic. I have a problem getting Avidemux through apt-get. I want the latest version, not something very old like much of the software in Ubuntu's repositories.

Code:

ubuntu@ubuntu:~$ sudo apt-get install avidemux
Reading package lists... Done
Building dependency tree... Done
avidemux is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 48 not upgraded.
ubuntu@ubuntu:~$ avidemux2
avidemux2: error while loading shared libraries: libmp3lame.so.0: cannot open shared object file: No such file or directory
ubuntu@ubuntu:~$


fakie_flip 08-17-2006 09:38 AM

Installing lame did not correct the problem.

timmeke 08-17-2006 09:45 AM

Quote:

Makefile.am:10: AM_GNU_GETTEXT in `configure.in' but `intl' not in SUBDIRS
automake: Makefile.am: AM_GNU_GETTEXT in `configure.in' but `ALL_LINGUAS' not defined
For starters, see:
http://www.gnu.org/software/gettext/...ttext_188.html
maybe you're missing libintl, a 'intl' subdirectory or something like that.

Quote:

error while loading shared libraries: libmp3lame.so.0: cannot open shared object file: No such file or directory
Can't you fix this by installing lame, as suggested on http://www.linuxquestions.org/questi...d.php?t=386284 ?
It sounds like a package dependency problem to me.

fakie_flip 08-17-2006 09:48 AM

Code:

ubuntu@ubuntu:~$ sudo apt-get install lame
Reading package lists... Done
Building dependency tree... Done
lame is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 49 not upgraded.
ubuntu@ubuntu:~$ avidemux2
avidemux2: error while loading shared libraries: libmp3lame.so.0: cannot open shared object file: No such file or directory
ubuntu@ubuntu:~$


tredegar 08-17-2006 09:56 AM

Quote:

I want the latest version, not something very old like much of the software in Ubuntu's repositories
OK. But "latest versions" tend to depend on the "latest versions" of a load of other things too, as you are discovering, and installing some of these may break seemingly unrelated things which depend on the "old" versions.
Good luck!

fakie_flip 08-17-2006 09:56 AM

I finally got the stinkin program working. I installed mplayer to get the lamemp3 dependencies. Then avidemux2 complained about some more missing dependencies, so I got those, and now it works. Thanks for trying to help.

nx5000 08-17-2006 09:58 AM

Quote:

and 48 not upgraded.
Is this normal??


All times are GMT -5. The time now is 09:03 AM.